
D4Science Infrastructure - Task #3569

create alias for dev.d4science.org and dev3.d4science.org

Apr 18, 2016 12:48 PM - Massimiliano Assante

Status: Closed Start date: Apr 18, 2016

Priority: Normal Due date: Apr 22, 2016

Assignee: Tommaso Piccioli % Done: 100%

Category: Other Estimated time: 1.00 hour

Target version: UnSprintable   

Infrastructure: Development   

Description

dev.d4science.org as devsec.d4science.org

dev3.d4science.org as devnext.d4science.org

History

#1 - Apr 18, 2016 01:00 PM - Tommaso Piccioli

- Status changed from New to Closed

- % Done changed from 0 to 100

Done

devsec.d4science.org is an alias for dev.d4science.org.

devnext.d4science.org is an alias for dev3.d4science.org.

#2 - Apr 21, 2016 01:10 PM - Massimiliano Assante

- Status changed from Closed to In Progress

- Assignee changed from _InfraScience Systems Engineer to Massimiliano Assante

@pasquale.pagano@isti.cnr.it ,I just realised there will be an issue, in the upcoming Liferay 6.2 portal, if we name the development portal instances

as we did in with devnext.d4science.org, devsec and preprod (with the exact name of a VO or VRE).

In the upcoming Liferay 6.2 portal to handle multiple Sites (iMarine, Services, Descramble etc) in a single Liferay database with virtual host, we

cannot have a virtual host that begins exactly with the name of a VO or VRE. I can provide with more details on this but this is a constraint.

May I suggest, to create these aliases as follows?

dev.d4science.org as staging.d4science.org

dev3.d4science.org as next.d4science.org

preprod.d4science.org as pre-production.d4science.org

#3 - Apr 21, 2016 01:10 PM - Massimiliano Assante

- Status changed from In Progress to Feedback

#4 - Apr 21, 2016 02:47 PM - Pasquale Pagano

- Status changed from Feedback to In Progress

Fine for me. Please proceed. 

#5 - Apr 21, 2016 03:54 PM - Massimiliano Assante

- Assignee changed from Massimiliano Assante to Tommaso Piccioli

@tommaso.piccioli@isti.cnr.it please create aliases as follows and remove the previous ones (devnext.d4science.org and devsec.d4science.org)

dev.d4science.org as staging.d4science.org (was devsec.d4science.org)

dev3.d4science.org as next.d4science.org (was devnext.d4science.org)
this is new:  preprod.d4science.org as pre-production.d4science.org

#6 - Apr 21, 2016 04:16 PM - Tommaso Piccioli

Done:

staging.d4science.org is an alias for dev.d4science.org

next.d4science.org is an alias for dev3.d4science.org

pre-production.d4science.org is an alias for preprod.d4science.org

I removed the aliases:

devnext.d4science.org

devsec.d4science.org

#7 - Apr 21, 2016 04:58 PM - Massimiliano Assante

- Status changed from In Progress to Closed
